This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 718430 - Review Request: unknown-horizons - a 2D RTS game written in python which uses the fife engine
Review Request: unknown-horizons - a 2D RTS game written in python which uses...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2011-07-02 16:53 EDT by Nelson Marques
Modified: 2012-07-25 07:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 07:47:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nelson Marques 2011-07-02 16:53:20 EDT
Spec URL: http://nmarques.fedorapeople.org/packages/unknown-horizons/unknown-horizons.spec
SRPM URL: http://nmarques.fedorapeople.org/packages/unknown-horizons/unknown-horizons-2011.2-df776e7.fc15.src.rpm

Description: Unknown Horizons is a 2D real-time strategy simulation with an emphasis on economy and city building. Expand your small settlement to a strong
and wealthy colony, collect taxes and supply your inhabitants with valuable goods. Increase your power with a well balanced economy and with strategic trade and diplomacy.



Hi all,

I've been packaging this for openSUSE since the last release and also made it available for Fedora using the openSUSE Build Service. Some people in Unknown Horizons forum[1] have requested if I could submit for Fedora, so I'm submitting this package according to the best I could with the available information for review. So far upstream as been kind and helpful and we have a good relation.

I have some doubts about the Licence fields, and I would request that someone could please verify the Licensing (and any other issue). I'm available to maintain this package in the future and keep it updated, though I don't plans for further enrollment with Fedora besides this package.

Feedback will be most welcomed (srpm is finishing uploading). As this is my first package I assume I need a sponsor (FE-NEEDSPONSOR).

NM
Comment 1 Elad Alfassa 2011-07-03 04:15:13 EDT
Fixing title and blocking FE-NEEDSPONSOR.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Tom "spot" Callaway 2011-07-05 09:43:02 EDT
I have not done any sort of actual licensing audit, but just looking at the tag in the spec file, I would point out that CC Sampling+ is Non-Free, and not acceptable for Fedora, even under Content definitions, because of commercial restrictions on distribution.

So, if that part is accurate, then this may not proceed. :/
Comment 3 Nelson Marques 2011-07-05 13:03:28 EDT
Tom,

That is true, that part is correct I'm afraid. I submitted the package because users requested, but I do make another question, what would be the procedure to submit it to RPM Fusion? (I suppose this could live there and still be served to Fedora users as most users most likely use it)

Thanks in advance,
NM
Comment 4 Nelson Marques 2011-07-05 13:06:16 EDT
I'm marking as invalid, once more thanks all.
Comment 5 Tom "spot" Callaway 2011-07-05 14:25:13 EDT
I believe the RPM Fusion process is very similar:
http://rpmfusion.org/Contributors
Comment 6 Andrew Ter-Grigoryan 2011-07-05 18:55:05 EDT
Actually, those samples are no longer under the CC Sampling+ license, see: http://forum.unknown-horizons.org/viewtopic.php?f=7&t=500#p1349. That means all non-code assets are also free. This review request needs to be reopened.
Comment 7 Nelson Marques 2011-07-05 23:13:36 EDT
Tom,

It seems that upstream has fixed this with the CC Sampling+. Anyway we can get this review on rails? I've changed the spec regarding the license. 

NM
Comment 8 Tom "spot" Callaway 2011-07-06 10:45:54 EDT
The License tag is incorrect, based on https://github.com/unknown-horizons/unknown-horizons/blob/master/doc/LICENSE, it should be:

License: GPL+ and Python and MIT and CC-BY-SA

Also, that file implies that there is a bundled copy of the Libertine fonts, you should use the system copy instead and Requires: linux-libertine-fonts

Usually, the simplest way to accomplish that is to rm the files after they're installed and replace them with symlinks.

I also noticed a few other things:

* You don't need to use %defattr(-,root,root) lines anymore (it is the default).
* You don't need to have a %clean rm -rf %{buildroot} section anymore (it is the default).
* You don't need to define BuildRoot anymore (rpm sets a sane default, and ignores what you set).
* You should be using desktop-file-validate (https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage), and have BuildRequires: desktop-file-utils

Update the spec with these fixes, increment the version, add a changelog entry, and I'll continue the review. :)
Comment 9 Tom "spot" Callaway 2011-07-06 10:47:12 EDT
Actually, change GPL+ to GPLv2+, I see where they versioned it in the README.
Comment 10 Nelson Marques 2011-07-06 18:55:30 EDT
Tom,

I've made the changes as you suggested, nevertheless I've found out that the package reads the fonts from %{_datadir}/%{name}/content/fonts. So without those fonts there, it fails loading up.

So before we continue with the review, should I get those fonts back in, or hack through the code?


NM
Comment 11 Jon Ciesla 2011-07-07 08:10:51 EDT
You can rm the bundled fonts and symlink to the system fonts.
Comment 12 Nelson Marques 2011-09-29 22:24:45 EDT
My apologies for the long reply.

Regarding the fonts, those provided by upstream do have different version and in a 2 cases a different name, should I proceed with the linking ? Also when LinuxLibertine gets updated to 5, this will break and will require twiking again.

I know upstream is preparing to improve the font engine, but it might not happen for a while. Right now, should I proceed with the font linking or can be slipped through until it gets fixed by upstream ?
Comment 13 Nelson Marques 2011-09-30 10:25:12 EDT
Ok, I've uploaded a new version of the spec file and instead of linking fonts, I've just patched the application to pick up the system fonts (lucky us, the fife engine does support absolute paths).

I've traded a few emails with one of the developers and they will look into improving the font engine.

stuff on: http://nmarques.fedorapeople.org/packages/unknown-horizons/

Waiting for feedback.

NM
Comment 14 Tom "spot" Callaway 2011-10-03 17:24:34 EDT
Sorry, I'm traveling at the moment. I plan to look at this either late this week or next week. Thanks for your patience.
Comment 15 Tom "spot" Callaway 2011-10-07 13:25:46 EDT
I just found something fun, a bundled binary:

./horizons/network/linux-*/enet.so

This isn't acceptable for Fedora, you're going to need to package up pyenet (http://code.google.com/p/pyenet/), and make sure that unknown-horizons uses it instead of these prebuilt objects.

Sorry. :(

I also noticed that you put the wrong version-release in the most recent changelog entry, not a huge deal, but rpmlint caught it.
Comment 16 Nelson Marques 2011-10-07 13:52:39 EDT
Hi Tom,

Thanks for looking into this. I'll pick up pyenet and package it as well. Tell me one thing, can we do it through this bug report or open a new one so I can ask for review.

NM
Comment 17 Jon Ciesla 2011-10-07 13:56:59 EDT
That would be a new review BZ.
Comment 18 Tom "spot" Callaway 2011-10-07 14:06:41 EDT
Yes, Jon is right, but feel free to CC me on the new BZ, as I'm happy to do both reviews as part of the sponsorship.
Comment 19 Nelson Marques 2011-10-08 12:37:57 EDT
Submitted: brc#744432
Comment 20 Nelson Marques 2011-10-18 15:52:32 EDT
HEADS UP: Upstream is working on the next version of Unknown Horizons (currently on RC3). This version requires fife >= 0.3.3 (latest release) and it's not backwards compatible with previous releases of FIFE.

Anyone can take a look at it or provide info on how to submit an update to the current fife package? 


[1] - http://www.fifengine.de
Comment 21 Thomas Spura 2011-11-26 09:22:00 EST
(In reply to comment #20)

> Anyone can take a look at it or provide info on how to submit an update to the
> current fife package? 

File a bug against fife and ask for an update to the non backwards compatible release and they'll take care of it.
Comment 22 Nelson Marques 2011-11-26 11:36:55 EST
Thanks. Filled a bug against FIFE (bnc#757352)[1].

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=757352
Comment 23 Nelson Marques 2011-12-13 15:14:13 EST
Updated the spec file for the latest stable release and I am uploading a new SRPM now which should be done on ~10 minutes.
Comment 24 Nelson Marques 2011-12-22 07:12:23 EST
According to information[1] on BZ#757352 someone seems to be working already on Unknown Horizons for Fedora. Therefore, I see no need of continuing this.

I will inform upstream of this and let all the involved parties work this issue while I'm jumping ship with a sincere apology request, it was not my intention to 'jack someone else's contribution.

Closing bug as WONTFIX.


[1] - https://bugzilla.redhat.com/show_bug.cgi?id=757352
Comment 25 Nelson Marques 2012-05-15 15:34:35 EDT
Re-opened

Updated previous stuff:

 * http://nmarques.fedorapeople.org/packages/unknown-horizons/
Comment 26 Matthias Runge 2012-07-09 05:14:41 EDT
lifting FE-NEEDSPONSOR, I recently sponsored Nelson.
Comment 27 Nelson Marques 2012-07-25 07:47:23 EDT
requested account suspention; closing as wontfix

Note You need to log in before you can comment on or make changes to this bug.